## org.apache.batik.css.engine.sac
Class CSSOneOfAttributeCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractAttributeCondition
          org.apache.batik.css.engine.sac.CSSAttributeCondition
              org.apache.batik.css.engine.sac.CSSOneOfAttributeCondition

All Implemented Interfaces:
  AttributeCondition, Condition, ExtendedCondition

public class CSSOneOfAttributeCondition
extends CSSAttributeCondition

This class provides an implementation of the `AttributeCondition` interface.

Field Summary

Fields inherited from class org.apache.batik.css.engine.sac.CSSAttributeCondition
`localName, namespaceURI, specified`

Fields inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`value`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`CSSOneOfAttributeCondition(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` Creates a new CSSAttributeCondition object.

Method Summary
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this condition matches the given element.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.engine.sac.CSSAttributeCondition
`equals, fillAttributeSet, getLocalName, getNamespaceURI, getSpecified`

Methods inherited from class org.apache.batik.css.engine.sac.AbstractAttributeCondition
`getSpecificity, getValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSSOneOfAttributeCondition

    public CSSOneOfAttributeCondition(java.lang.String localName,
                                      java.lang.String namespaceURI,
                                      boolean specified,
                                      java.lang.String value)

  Creates a new CSSAttributeCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

  Specified by:
    `getConditionType` in interface `Condition`
  Overrides:
    `getConditionType` in class `CSSAttributeCondition`

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this condition matches the given element.

  Specified by:
    `match` in interface `ExtendedCondition`
  Overrides:
    `match` in class `CSSAttributeCondition`

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

  Overrides:
    `toString` in class `CSSAttributeCondition`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.